pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT > Class Template Reference

ApproxNearestPairPointCloudCoherence computes coherence between two pointclouds using the approximate nearest point pairs. More...

`#include <pcl/tracking/approx_nearest_pair_point_cloud_coherence.h>`

Inheritance diagram for pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >:

## Public Types

using | PointCoherencePtr = typename NearestPairPointCloudCoherence< PointInT >::PointCoherencePtr
using | PointCloudInConstPtr = typename NearestPairPointCloudCoherence< PointInT >::PointCloudInConstPtr
Public Types inherited from pcl::tracking::NearestPairPointCloudCoherence< PointInT >
using | PointCoherencePtr = typename PointCloudCoherence< PointInT >::PointCoherencePtr
using | PointCloudInConstPtr = typename PointCloudCoherence< PointInT >::PointCloudInConstPtr
using | BaseClass = PointCloudCoherence< PointInT >
using | Ptr = shared_ptr< NearestPairPointCloudCoherence< PointInT > >
using | ConstPtr = shared_ptr< const NearestPairPointCloudCoherence< PointInT > >
using | SearchPtr = typename pcl::search::Search< PointInT >::Ptr
using | SearchConstPtr = typename pcl::search::Search< PointInT >::ConstPtr
Public Types inherited from pcl::tracking::PointCloudCoherence< PointInT >
using | Ptr = shared_ptr< PointCloudCoherence< PointInT > >
using | ConstPtr = shared_ptr< const PointCloudCoherence< PointInT > >
using | PointCloudIn = pcl::PointCloud< PointInT >
using | PointCloudInPtr = typename PointCloudIn::Ptr
using | PointCloudInConstPtr = typename PointCloudIn::ConstPtr
using | PointCoherencePtr = typename PointCoherence< PointInT >::Ptr

## Public Member Functions

| ApproxNearestPairPointCloudCoherence ()
| empty constructor More...
Public Member Functions inherited from pcl::tracking::NearestPairPointCloudCoherence< PointInT >
| NearestPairPointCloudCoherence ()
| empty constructor More...
void | setSearchMethod (const SearchPtr &search)
| Provide a pointer to a dataset to add additional information to estimate the features for every point in the input dataset. More...
SearchPtr | getSearchMethod ()
| Get a pointer to the point cloud dataset. More...
void | setTargetCloud (const PointCloudInConstPtr &cloud) override
| add a PointCoherence to the PointCloudCoherence. More...
void | setMaximumDistance (double val)
| set maximum distance to be taken into account. More...
Public Member Functions inherited from pcl::tracking::PointCloudCoherence< PointInT >
| PointCloudCoherence ()
| Constructor. More...
virtual | ~PointCloudCoherence ()
| Destructor. More...
void | compute (const PointCloudInConstPtr &cloud, const IndicesConstPtr &indices, float &w_i)
| compute coherence between two pointclouds. More...
std::vector< PointCoherencePtr > | getPointCoherences ()
| get a list of pcl::tracking::PointCoherence. More...
void | setPointCoherences (std::vector< PointCoherencePtr > coherences)
| set a list of pcl::tracking::PointCoherence. More...
void | addPointCoherence (PointCoherencePtr coherence)
| add a PointCoherence to the PointCloudCoherence. More...

## Protected Member Functions

bool | initCompute () override
| This method should get called before starting the actual computation. More...
void | computeCoherence (const PointCloudInConstPtr &cloud, const IndicesConstPtr &indices, float &w_j) override
| compute the nearest pairs and compute coherence using point_coherences_ More...
Protected Member Functions inherited from pcl::tracking::NearestPairPointCloudCoherence< PointInT >
bool | initCompute () override
| This method should get called before starting the actual computation. More...
void | computeCoherence (const PointCloudInConstPtr &cloud, const IndicesConstPtr &indices, float &w_j) override
| compute the nearest pairs and compute coherence using point_coherences_ More...
Protected Member Functions inherited from pcl::tracking::PointCloudCoherence< PointInT >
double | calcPointCoherence (PointInT &source, PointInT &target)
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...

## Protected Attributes

pcl::search::Octree< PointInT >::Ptr | search_
Protected Attributes inherited from pcl::tracking::NearestPairPointCloudCoherence< PointInT >
bool | new_target_
| A flag which is true if target_input_ is updated. More...
SearchPtr | search_
| A pointer to the spatial search object. More...
double | maximum_distance_
| max of distance for points to be taken into account More...
Protected Attributes inherited from pcl::tracking::PointCloudCoherence< PointInT >
std::string | coherence_name_
| The coherence name. More...
PointCloudInConstPtr | target_input_
| a pointer to target point cloud More...
std::vector< PointCoherencePtr > | point_coherences_
| a list of pointers to PointCoherence. More...

## Detailed Description

### template<typename PointInT>
class pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >

ApproxNearestPairPointCloudCoherence computes coherence between two pointclouds using the approximate nearest point pairs.

Author
  Ryohei Ueda

Definition at line 14 of file approx_nearest_pair_point_cloud_coherence.h.

## Member Typedef Documentation

## PointCloudInConstPtr

template<typename PointInT >

using pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >::PointCloudInConstPtr = typename NearestPairPointCloudCoherence<PointInT>::PointCloudInConstPtr

Definition at line 19 of file approx_nearest_pair_point_cloud_coherence.h.

## PointCoherencePtr

template<typename PointInT >

using pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >::PointCoherencePtr = typename NearestPairPointCloudCoherence<PointInT>::PointCoherencePtr

Definition at line 17 of file approx_nearest_pair_point_cloud_coherence.h.

## Constructor & Destructor Documentation

## ApproxNearestPairPointCloudCoherence()

template<typename PointInT >

pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >::ApproxNearestPairPointCloudCoherence | ( |  | ) |

inline

empty constructor

Definition at line 30 of file approx_nearest_pair_point_cloud_coherence.h.

References pcl::tracking::PointCloudCoherence< PointInT >::coherence_name_.

## Member Function Documentation

## computeCoherence()

template<typename PointInT >

void pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >::computeCoherence | ( | const PointCloudInConstPtr & | cloud,
|  | const IndicesConstPtr & | indices,
|  | float & | w_j
| ) |  |

override protected virtual

compute the nearest pairs and compute coherence using point_coherences_

Implements pcl::tracking::PointCloudCoherence< PointInT >.

Definition at line 11 of file approx_nearest_pair_point_cloud_coherence.hpp.

## initCompute()

template<typename PointInT >

bool pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >::initCompute

override protected virtual

This method should get called before starting the actual computation.

Reimplemented from pcl::tracking::PointCloudCoherence< PointInT >.

Definition at line 38 of file approx_nearest_pair_point_cloud_coherence.hpp.

## Member Data Documentation

## search_

template<typename PointInT >

pcl::search::Octree<PointInT>::Ptr pcl::tracking::ApproxNearestPairPointCloudCoherence< PointInT >::search_

protected

Definition at line 51 of file approx_nearest_pair_point_cloud_coherence.h.

The documentation for this class was generated from the following files:

- pcl/tracking/approx_nearest_pair_point_cloud_coherence.h
- pcl/tracking/impl/approx_nearest_pair_point_cloud_coherence.hpp